DYAIRY(3)

SYNOPSIS
SUBROUTINE DYAIRY (X, RX, C, BI, DBI)

NAME
dyairy - Subsidiary to DBESJ and DBESY

LIBRARY
SLATEC

TYPE
DOUBLE PRECISION (YAIRY-S, DYAIRY-D)

AUTHOR
Amos, D. E., (SNLA) Daniel, S. L., (SNLA)

DESCRIPTION
DYAIRY computes the Airy function BI(X) and its derivative DBI(X) for DASYJY INPUT X - Argument, computed by DASYJY, X unrestricted RX - RX=SQRT(ABS(X)), computed by DASYJY C - C=2.*(ABS(X)**1.5)/3., computed by DASYJY OUTPUT BI - Value of function BI(X) DBI - Value of the derivative DBI(X)

SEE ALSO
DBESJ, DBESY

ROUTINES CALLED
(NONE)

REVISION HISTORY (YYMMDD)
750101 DATE WRITTEN
890531 Changed all specific intrinsics to generic. (WRB)
891214 Prologue converted to Version 4.0 format. (BAB)
900328 Added TYPE section. (WRB)
910408 Updated the AUTHOR section. (WRB)